Name:         xenwatch
License:      GPLv2+
Version:      0.5.3
Release:      3%{?dist}
Summary:      Virtualization utilities, mostly for Xen
Group:        Applications/Emulators
Source:       %{name}-%{version}.tar.gz
URL:          http://dl.bytesex.org/releases/%{name}/%{name}-%{version}.tar.gz
Buildroot:    %{_tmppath}/root-%{name}-%{version}-%{release}
Requires:     screen
BuildRequires: desktop-file-utils
BuildRequires: gtk2-devel
BuildRequires: libvirt-devel libxml2-devel
BuildRequires: xen-devel xen-libs
ExcludeArch: ppc ppc64

# Don't build experimental/broken mDNS bits.
#BuildRequires: avahi-glib-devel

%description
This is a bunch of utilities for virtualization hosts.  All except
xenscreen are using xenstore and thus are xen-specific.

xenscreen - attach xen domain consoles to screen windows.
xenlog - Log xenstore activity to stdout.
xenstore - gtk xenstore browser.
xenwatch - list running domains with some properties, allow
           connecting to text and graphical (vnc) consoles.
vnc-client - built-in vnc client from xenwatch as standalone
             application.

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
make prefix="%{_prefix}"

%install
rm -rf %{buildroot}
make prefix="%{_prefix}" DESTDIR=%{buildroot} STRIP="" install
for df in %{buildroot}/%{_datadir}/applications/*.desktop; do
  desktop-file-install --vendor="fedora" --delete-original  \
    --dir=%{buildroot}%{_datadir}/applications/ $df
done

%files
%defattr(-,root,root)
%doc README COPYING
%config(noreplace) %{_sysconfdir}/xen/xenscreenrc
%{_bindir}/*
%{_datadir}/applications/fedora-*.desktop

%clean
rm -rf %{buildroot}

%changelog
* Tue Sep 23 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.5.3-3
- update to 0.5.3.
* Tue Dec 11 2007 Gerd Hoffmann <kraxel@redhat.com> - 0.5.2-4
- exclude ppc on EL-5.
* Tue Dec 11 2007 Gerd Hoffmann <kraxel@redhat.com> - 0.5.2-3
- add xen-libs to buildrequires.
* Tue Nov 27 2007 Gerd Hoffmann <kraxel@redhat.com> - 0.5.2-2
- make it build on rhel5 & fedora8.
* Thu Nov 08 2007 Gerd Hoffmann <kraxel@redhat.com> - 0.5.2-1
- update to version 0.5.2.
* Mon Sep 03 2007 Gerd Hoffmann <kraxel@redhat.com> - 0.5.1-2
- use more macros instead of hard-coded paths.
* Mon Sep 03 2007 Gerd Hoffmann <kraxel@redhat.com> - 0.5.1-1
- initial release
